/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.JenisBas;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface JenisBasEjbHome {
     public List<JenisBas> findAll();

    public JenisBas findByID(int id);

    public JenisBas createNew();

    public JenisBas save(JenisBas obj);

    public JenisBas update(JenisBas obj);

    public void delete(int id);

    public List<JenisBas> findAllAktif();
}
